// 控制jq
$(function(){
	$('h1.pagetitle').paroller();
	
	$('#sideNav #sideMenu').click(function(){
		if($('#sideNav >ul').eq(0).attr('class') == 'Cate'){
			$(this).children('span').addClass('open');
			$('#sideNav >ul').addClass('open');
		}else{
			$('#sideNav >ul').removeClass('open');
			$(this).children('span').removeClass('open');
		}
	});
	
	$('b[data-action="sideOpen"]').click(function(){
		var ul = $(this).parent().parent('li').siblings();
		ul.children('ul').slideUp("slow");
		ul.children().children('b').children('i').attr('class','fa fa-plus');
		ul.removeClass('action');
		if($(this).children('i').eq(0).attr('class') == 'fa fa-plus'){
			$(this).parent().next().slideToggle(300);
			$(this).children('i').attr('class','fa fa-minus');
			$(this).parent().parent().addClass('action');
		}else{
			$(this).parent().next().slideUp("slow");
			$(this).children('i').attr('class','fa fa-plus');
			$(this).parent().parent().removeClass('action');
		}
	});
});
var chincode_body = $(document),
	def_nav = $("#sideNav").offset().top,
	nav = $("#sideNav"),
	scroll = false;
$(window).scroll(function(){
	if(chincode_body.scrollTop() < def_nav){
		if(scroll){
			nav.removeClass("fixTop");
			scroll = false;
		}
	}else if(chincode_body.scrollTop() >= def_nav){
		if(!scroll){
			nav.addClass("fixTop");
			scroll = true;
		}
	}
});